/* 
 * Copyright (C) 1997-2002 Laird Breyer
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Author:   Laird Breyer (laird@lbreyer.com)
 */

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;

class FieldGraphPanel extends Panel implements MouseListener {

    Vector fields;
    int current;
    
    FieldGraphPanel() {
	setBackground(Color.white);
	setForeground(Color.black);
	fields = new Vector();
	current = 0;
	addMouseListener(this);
    }

    public void addRandomField(RandomField r) {
	fields.addElement(r);
	repaint();
    }

    public void reset() {
	fields.removeAllElements();
	current = 0;
	repaint();
    }

    public void paint(Graphics g) {
	g.drawString( "" + current, 10, 10);
	if( current < fields.size() )
	((RandomField)(fields.elementAt(current))).displayGraph(
	    g, getSize(), new RealInterval(0,1), new RealInterval(0,1));
    }

    public void mousePressed(MouseEvent me) {
	int which = me.getModifiers();
	if( (which & MouseEvent.BUTTON2_MASK) != 0 ) {
	    current--;
	    if( current < 0 )
		current = 0;
	}
	else {
	    current++;
	    if( current >= fields.size() )
		current = 0;
	}
	repaint();
    }

    public void mouseClicked(MouseEvent me) {
    }
    public void mouseEntered(MouseEvent me) {
    }
    public void mouseExited(MouseEvent me) {
    }
    public void mouseReleased(MouseEvent me) {
    }
}
