/* 
 * Copyright (C) 1997-2002 Laird Breyer
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Author:   Laird Breyer (laird@lbreyer.com)
 */

import java.awt.*;
import java.awt.event.*;
import java.lang.*;
import java.util.*;
import java.io.*;

class GraphPanel extends Panel {

    RealFunction f;

    Image sbuf = null;
    Dimension dold;

    GraphPanel() {
	f = null;
	setBackground(Color.white);
	setForeground(Color.black);

	dold = new Dimension(0,0);	
    }

    public void setFunction( RealFunction func ) {
	f = func;
    }
    
    public void paint( Graphics g ) {
	Dimension size = getSize();
	
	if( !size.equals(dold) ) { // new window size
	    sbuf = createImage(size.width, size.height);
	    dold.width = size.width;
	    dold.height = size.height;
	}
	Graphics screengc = g;
	g = sbuf.getGraphics();

	g.setColor(Color.white);
	g.fillRect(0,0,size.width, size.height);

	g.setColor(Color.black);
	if( f != null )
	    f.displayGraph( g, getSize(), new RealInterval(0,1) );

	screengc.drawImage(sbuf, 0, 0, null);	
     }

    public void update(Graphics g) {
	paint(g);
    }
}
