/* 
 * Copyright (C) 1997-2002 Laird Breyer
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Author:   Laird Breyer (laird@lbreyer.com)
 */

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;
import java.io.*;

class TitlePanel extends Panel {

    final Font f;
    final String s; 
    
    TitlePanel(String str) {
	setBackground(Color.lightGray);
	setForeground(Color.black);
	f = new Font("SansSerif", Font.PLAIN, 14);
	s = str;
    }

    public void paint(Graphics g) {
	Dimension d = getSize();
	g.setFont(f);
	FontMetrics fm = g.getFontMetrics();
	int x = (d.width - fm.stringWidth(s))/2;
	int y = (fm.getAscent() + (d.height - (fm.getAscent() +
					       fm.getDescent()))/2);
	g.drawString(s, x, y);

	g.setColor(Color.black);
	g.drawRect(0,0,d.width-1, d.height);
    }
}

